Bug 798686 - Permission problem in xfce related to bug 693152
Permission problem in xfce related to bug 693152
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 10:11 EST by Andrey
Modified: 2013-02-13 21:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:30:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrey 2012-02-29 10:11:17 EST
Description of problem:
Flash stick cannot be mounted as user (not root): cause "Not authorized" error dialog. Firewall util not asks for password, show error dialog "org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.firewall.auth" and exit. PRM's cannot be installed by user, package manager don't asks for password just shows "Not authorized" error dialog. Etc. Just like bug 693152. I see what bug 693152 marked as fixed but guys it's not fixed.

Version-Release number of selected component (if applicable): 4.8.2


How reproducible:
I just download dvd iso Fedora 16 x86_64 and install system.

Steps to Reproduce:
1. download dvd iso Fedora 16 x86_64 
2. install system
3. switch to runlevel 3
4. reboot
5. start xfce by executing command $startxfce4
6. plug in flash stick
7. try to double click on flash stick icon what appears on desktop

Actual results:
'Not authorized' error dialog


Expected results:
Flash stick opens in file manager

Additional info:
Comment 1 Kevin Fenzi 2012-02-29 10:41:00 EST
You should not start Xfce like this. ;) 

Instead of doing 'startxfce4', if you instead do: 

- Create a ~/.xinitrc file with: 

#!/bin/sh
exec startxfce4

- chmod 755 ~/.xinitrc

- startx

Does everything work?
Comment 2 Andrey 2012-03-01 06:50:19 EST
Nope, Kevin.

BTW I've downloaded iso again and check md5 checksum for new .iso and my old installation .iso - it's same. First I thought what my .iso is out of date, but it's not.
Comment 3 Kevin Fenzi 2012-03-01 16:11:44 EST
ok, from the failing session can you provide output of: 

ck-lists-sessions
Comment 4 Andrey 2012-03-02 04:02:48 EST
Here it is:

Session1:
	unix-user = '1000'
	realname = 'ml'
	seat = 'Seat1'
	session-type = ''
	active = FALSE
	x11-display = ''
	x11-display-device = ''
	display-device = '/dev/tty1'
	remote-host-name = ''
	is-local = TRUE
	on-since = '2012-03-02T07:59:31.644661Z'
	login-session-id = '1'
	idle-since-hint = '2012-03-02T08:00:05.556965Z'

(fpaste: http://fpaste.org/goTv/)
Comment 5 Kevin Fenzi 2012-03-02 12:11:17 EST
The "active = FALSE" sounds like a problem. 

If you boot in graphical mode and login via gdm does it work as expected?
Comment 6 Andrey 2012-03-05 03:00:18 EST
Yes! It's works! I just login via GDM and choose Xfce session in session menu. Thank you so much, Kevin.

I still need a way to automatically login into xface from terminal but here is not right place for such discussion I guess.
Comment 7 Andrey 2012-03-05 07:34:00 EST
Hmmm. On my second PC it doesn't helps. Session still inactive :(
Comment 8 Kevin Fenzi 2012-03-05 10:26:15 EST
So, looks like startx is not properly registering with consolekit somehow. 

Moving over that component to see if there were any recent changes that could explain this.
Comment 9 Adam Jackson 2012-03-05 17:17:36 EST
Well there was this:

commit c8f19e74c99cf9fc29e461300a6d1c15670323bb
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Nov 16 10:13:28 2011 -0500

    Drop ConsoleKit integration, being removed in F17

I guess that wants reverting.  Sigh.  So much for "ConsoleKit removal", eh.
Comment 10 Adam Jackson 2012-03-05 17:22:30 EST
However, that doesn't really explain F16 being broken, since that change is only on the F17 and later branches.
Comment 11 Kay Sievers 2012-03-07 08:06:50 EST
Please drop the ConsoleKit stuff again, it must not be pulled-in by anything
like X in Fedora 17.

The desktop environments need to be fixed to work without Consolekit, or
they need to pull-in ConsoleKit, not ConsoleKit cludge pinned by X to make
other packages working. That is a really backwards logic.

Thanks!
Comment 12 Kevin Fenzi 2012-03-07 13:47:55 EST
I think we could look at subpackaging somehow here. 

Surely gnome/kde don't call 'startx' or 'xinit' do they? 

We can have xinit/startx dep on consolekit, and leave the rest alone?
Comment 13 Adam Williamson 2012-03-07 13:49:53 EST
ajax: should we discuss a better way of adjusting F17 in this bug, or should we file a new bug so as not to lose the f16 bug, which is likely something different?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Rex Dieter 2012-03-07 13:53:18 EST
gdm/kdm generally need the infrastructure bits from /etc/X11/, so 2 options:

1.  put those bits in (something like) xorg-x11-xinit-common which can be Requires'd by xorg-x11-xinit, kdm, gdm, and friends

or

2.  split out  /usr/bin/ck-xinit-session (which has a separate Source anyway), into some subpkg, which non gdm/kdm DE's can depend on
Comment 15 Adam Williamson 2012-03-07 14:08:25 EST
Lennart notes on IRC:

<mezcalero> note that device access control in F16 already was not CK's business
 but systemd's
 so on F16 already startx was borked in this regard
 dropping CK support from startx doesn't change anything effectively

That explains why this bug is against F16. It also means that re-adding the CK dep doesn't actually achieve anything.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Fedora End Of Life 2013-01-16 19:51:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Fedora End Of Life 2013-02-13 21:30:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.